# eric7.WebBrowser.Feeds.FeedEditDialog

Module implementing a dialog to edit feed data.

### Global Attributes

None

### Classes

FeedEditDialog | Class implementing a dialog to edit feed data.

### Functions

None

## FeedEditDialog

Class implementing a dialog to edit feed data.

### Derived from

QDialog, Ui_FeedEditDialog

### Class Attributes

None

### Class Methods

None

### Methods

FeedEditDialog | Constructor
__setOkButton | Private slot to enable or disable the OK button.
getData | Public method to get the entered feed data.
on_titleEdit_textChanged | Private slot to handle changes of the feed title.
on_urlEdit_textChanged | Private slot to handle changes of the feed URL.

### Static Methods

None

#### FeedEditDialog (Constructor)

FeedEditDialog(urlString, title, parent=None)

Constructor

urlString
  feed URL (string)
title
  feed title (string)
parent
  reference to the parent widget (QWidget)

#### FeedEditDialog.__setOkButton

__setOkButton()

Private slot to enable or disable the OK button.

#### FeedEditDialog.getData

getData()

Public method to get the entered feed data.

Return:
  tuple of two strings giving the feed URL and feed title (string, string)

#### FeedEditDialog.on_titleEdit_textChanged

on_titleEdit_textChanged(txt)

Private slot to handle changes of the feed title.

txt
  new feed title (string)

#### FeedEditDialog.on_urlEdit_textChanged

on_urlEdit_textChanged(txt)

Private slot to handle changes of the feed URL.

txt
  new feed URL (string)

Up